/* selector32.h - state purpose of file here. */
/* Copyright (C) 2017 Robin Miyagi
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef ____SELECTOR32_H____
#define ____SELECTOR32_H____

/********************************************************************/
/*                                                                  */
/*			   Project Includes                         */
/*                                                                  */
/********************************************************************/
/********************************************************************/
/*                                                                  */
/*			   System Includes                          */
/*                                                                  */
/********************************************************************/
/********************************************************************/
/*                                                                  */
/*			  Macro Definitions                         */
/*                                                                  */
/********************************************************************/
/* 
 * Null descriptor index. 
 */
#define NULL_DESC_INDEX 0
/* 
 * Code descriptor index. 
 */
#define CODE_DESC_INDEX 1
/* 
 * Stack descriptor index.  
 */
#define STACK_DESC_INDEX 2
/*
 * Data descriptor index;  
 */
#define DATA_DESC_INDEX 3
/*
 * How many descriptor and descriptor indices.  **** N.B. **** Make
 * sure that DESCRIPTOR_COUNT matches the number of descriptor indices
 * that were defined above.
 */
#define DESCRIPTOR_COUNT 4

/********************************************************************/
/*                                                                  */
/*			      Data Types                            */
/*                                                                  */
/********************************************************************/
/********************************************************************/
/*                                                                  */
/*			   Global Variables                         */
/*                                                                  */
/********************************************************************/
/********************************************************************/
/*                                                                  */
/*			 Interface Functions                        */
/*                                                                  */
/********************************************************************/
/********************************************************************/
/*                                                                  */
/*			   Inline Functions                         */
/*                                                                  */
/********************************************************************/
/********************************************************************/
/*                                                                  */
/*		    Inline Function Implementation                  */
/*                                                                  */
/********************************************************************/

#endif	/* ! ____SELECTOR32_H____ */
